[Solved] OO 2.3 not recognizing Java in OSX Leopard

Issues installing under the Mac OSX - X11 - Aqua

[Solved] OO 2.3 not recognizing Java in OSX Leopard

Postby Bill Bane » Sat Nov 24, 2007 12:24 am

With OpenOffice 2.3, when I run one of the 'wizards' (web page) it gives me this message: "JRE Required. Openoffice.org requires a Java runtime environment (JRE) to perform this task. Please install a JRE and restart OpenOffice.org. OK"

Of course Leopard (10.5.1) is supposed to have a built-in JRE.

If I try this with OpenOffice 2.1 I do not get the error message.

Has anyone else found difficulties with Leopard, and perhaps solutions?

Thanks.
Last edited by Hagar Delest on Sat Oct 04, 2008 2:58 pm, edited 1 time in total.
Reason: tagged the thread as Solved.
Bill Bane
 
Posts: 2
Joined: Sat Nov 24, 2007 12:17 am

Re: OO 2.3 not recognizing Java Runtime Env. in OSX Leopard

Postby Hagar Delest » Sat Nov 24, 2007 12:03 pm

Perhaps OOo has not yet "seen" the JRE location. Go to Tools>Options>OOo>Java, wait a while, the time OOo scans your system. Then, you should be able to check a version of Java.

Thanks to add '[Solved]' in your first post title (edit button) if your issue has been fixed.
AOO 4.1.6 on Xubuntu 19.04 and 4.1.5 on Windows 7 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28543
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: OO 2.3 not recognizing Java Runtime Env. in OSX Leopard

Postby Bill Bane » Sat Nov 24, 2007 7:22 pm

Thanks for the suggestion, but after doing this OOo does not succeed in finding a RTE.
Bill Bane
 
Posts: 2
Joined: Sat Nov 24, 2007 12:17 am

Re: OO 2.3 not recognizing Java Runtime Env. in OSX Leopard

Postby Hagar Delest » Sat Nov 24, 2007 10:30 pm

I ran a Google search and that issue should answer your question (especially last comment) : Issue 83034 - Java Runtime on OSX.
AOO 4.1.6 on Xubuntu 19.04 and 4.1.5 on Windows 7 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28543
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: OO 2.3 not recognizing Java Runtime Env. in OSX Leopard

Postby ericb » Sun Dec 02, 2007 7:08 pm

The problem with Java was due to a change Apple did ("Apple, Inc." replaced Apple Computer, Inc." in the string ), and the jre was not recognized, and then java failed ..

Since milestone m237, where the milestone macleopardbuild, Java works on Leopard.

Official builds from goodday after m237 (included) work on Leopard, both X11 and Aqua versions.

Please have a look at the recent post I did about Leopard compatibility
--
qɔᴉɹə
ericb
 
Posts: 37
Joined: Sun Dec 02, 2007 6:56 pm


Return to Mac OSX

Who is online

Users browsing this forum: No registered users and 2 guests